#!/bin/sh
# Script to run opencl tests in opencv
# Andreas L. F., feb 2015

# Disable OpenCl by setting this to some nonempty string
export OPENCV_OPENCL_RUNTIME=

# Set source paths
SRCDIR=/home/uavlab/src/
OPENCV_DIR=$SRCDIR/opencv
OCV_BUILD_DIR=${OPENCV_DIR}/build
OPENCV_EXTRA_DIR=$SRCDIR/opencv_extra

# Define extra path
export OPENCV_TEST_DATA_PATH=$OPENCV_EXTRA_DIR/testdata

# Set plaform and test specifics
PLATFORM=ODROID-XU3
OCV_MODULE=imgproc

# Define output name
OUTPUT=${OCV_MODULE}_${PLATFORM}

# Run the tests
TEST_RUNCMD="$OCV_BUILD_DIR/bin/opencv_perf_$OCV_MODULE --gtest_filter=*OCL* --gtest_output=xml:${OUTPUT}.xml"
#TEST_RUNCMD="$OCV_BUILD_DIR/bin/opencv_perf_$OCV_MODULE --gtest_output=xml:${OUTPUT}.xml"
echo $TEST_RUNCMD
${TEST_RUNCMD}
